#!/usr/bin/env bash
# Start SSH tunnel

USER=schiffer1
HOST=jureca10.fz-juelich.de
RECONNECT=60
echo "Starting SSH tunnel..."

while true
do
	# Make sure tunnel is externally reachable (see https://superuser.com/questions/588591/how-to-make-ssh-tunnel-open-to-public)
	echo "Connecting"
	ssh ${USER}@${HOST} -N -L \*:8000:localhost:8000
	retval=$?
	# Check for timeout
	if [[ ${retval} -ne 0 ]]; then
		echo "$(date) Could not establish connection to ${HOST}. Will try again in ${RECONNECT} seconds..."
		sleep ${RECONNECT}
	fi
done
echo "Stopped SSH tunnel"
